Search Gradle plugins

Version 2.11.1

2.11.1

Created 20 October 2022.

Declares common configurations for producing and consuming Allure results and reports

Using the plugins DSL:

plugins {
  id("io.qameta.allure-adapter-base") version "2.11.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("io.qameta.allure.gradle.adapter:allure-adapter-plugin:2.11.1")
  }
}

apply(plugin = "io.qameta.allure-adapter-base")

Using the plugins DSL:

plugins {
  id "io.qameta.allure-adapter-base" version "2.11.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "io.qameta.allure.gradle.adapter:allure-adapter-plugin:2.11.1"
  }
}

apply plugin: "io.qameta.allure-adapter-base"

Learn how to apply plugins to subprojects